Package it.ernytech.tdlib

## Class TdApi.InputInlineQueryResultVideo

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputInlineQueryResult
    - - it.ernytech.tdlib.TdApi.InputInlineQueryResultVideo

Enclosing class:
  TdApi

    public static class TdApi.InputInlineQueryResultVideo
    extends TdApi.InputInlineQueryResult

Represents a link to a page containing an embedded video player or a video file.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` A short description of the result, if known.
`java.lang.String` `id` Unique identifier of the query result.
`TdApi.InputMessageContent` `inputMessageContent` The content of the message to be sent.
`java.lang.String` `mimeType` MIME type of the content of the video URL, only "text/html" or "video/mp4" are currently supported.
`TdApi.ReplyMarkup` `replyMarkup` The message reply markup.
`java.lang.String` `thumbnailUrl` The URL of the video thumbnail (JPEG), if it exists.
`java.lang.String` `title` Title of the result.
`int` `videoDuration` Video duration, in seconds.
`int` `videoHeight` Height of the video.
`java.lang.String` `videoUrl` URL of the embedded video player or video file.
`int` `videoWidth` Width of the video.

### Constructor Summary

Constructors
`InputInlineQueryResultVideo()` Default constructor.
`InputInlineQueryResultVideo​(java.lang.String id, java.lang.String title, java.lang.String description, java.lang.String thumbnailUrl, java.lang.String videoUrl, java.lang.String mimeType, int videoWidth, int videoHeight, int videoDuration, TdApi.ReplyMarkup replyMarkup, TdApi.InputMessageContent inputMessageContent)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public java.lang.String id

Unique identifier of the query result.

#### title

    public java.lang.String title

Title of the result.

#### description

    public java.lang.String description

A short description of the result, if known.

#### thumbnailUrl

    public java.lang.String thumbnailUrl

The URL of the video thumbnail (JPEG), if it exists.

#### videoUrl

    public java.lang.String videoUrl

URL of the embedded video player or video file.

#### mimeType

    public java.lang.String mimeType

MIME type of the content of the video URL, only "text/html" or "video/mp4" are currently supported.

#### videoWidth

    public int videoWidth

Width of the video.

#### videoHeight

    public int videoHeight

Height of the video.

#### videoDuration

    public int videoDuration

Video duration, in seconds.

#### replyMarkup

    public TdApi.ReplyMarkup replyMarkup

The message reply markup. Must be of type replyMarkupInlineKeyboard or null.

#### inputMessageContent

    public TdApi.InputMessageContent inputMessageContent

The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageVideo, InputMessageLocation, InputMessageVenue or InputMessageContact.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputInlineQueryResultVideo

    public InputInlineQueryResultVideo()

Default constructor.

#### InputInlineQueryResultVideo

    public InputInlineQueryResultVideo​(java.lang.String id,
                                       java.lang.String title,
                                       java.lang.String description,
                                       java.lang.String thumbnailUrl,
                                       java.lang.String videoUrl,
                                       java.lang.String mimeType,
                                       int videoWidth,
                                       int videoHeight,
                                       int videoDuration,
                                       TdApi.ReplyMarkup replyMarkup,
                                       TdApi.InputMessageContent inputMessageContent)

Constructor for initialization of all fields.

Parameters:
  `id` - Unique identifier of the query result.
  `title` - Title of the result.
  `description` - A short description of the result, if known.
  `thumbnailUrl` - The URL of the video thumbnail (JPEG), if it exists.
  `videoUrl` - URL of the embedded video player or video file.
  `mimeType` - MIME type of the content of the video URL, only "text/html" or "video/mp4" are currently supported.
  `videoWidth` - Width of the video.
  `videoHeight` - Height of the video.
  `videoDuration` - Video duration, in seconds.
  `replyMarkup` - The message reply markup. Must be of type replyMarkupInlineKeyboard or null.
  `inputMessageContent` - The content of the message to be sent. Must be one of the following types: InputMessageText, InputMessageVideo, InputMessageLocation, InputMessageVenue or InputMessageContact.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR